package services.pescado.fusionservice.impl.database;

public class DBline {
	
	public String ID1 = "-";
	public String ID2 ="-";
	public String geogDiscription1 = "";
	public String geogDiscription2 = "";
	
	public double lat;
	public double lon;
	public double d_offset;
	public boolean exact;
	public boolean model;
	public double imprecision;
	public double MSE;
	
	
	public DBline(String line) {
		String[] lineVals = line.split(";");
		this.ID1 = lineVals[0];
		this.ID2 = lineVals[1];
		this.geogDiscription1= lineVals[2];
		this.geogDiscription2 = lineVals[3];
		
		this.imprecision = Double.valueOf(lineVals[4]);
		this.MSE = Double.valueOf(lineVals[5]);
		
		if (lineVals[6].equals("estimated")) {
			this.model = true;
			this.exact = false;
			this.d_offset = 3.0;
			
		} else {
			this.d_offset = 0;
			this.exact = true;
			this.model = false;
		}
		
		this.lat = Double.valueOf(lineVals[7]);
		this.lon = Double.valueOf(lineVals[8]);
		
	
		
	}

}
