
package services.pescado.common;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import opengis.net.ows.ex.ExceptionType;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the services.pescado.common package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Map_QNAME = new QName("http://common.pescado.services", "Map");
    private final static QName _Parameters_QNAME = new QName("http://common.pescado.services", "Parameters");
    private final static QName _ExceptionResponse_QNAME = new QName("http://common.pescado.services", "ExceptionResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: services.pescado.common
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ParameterType }
     * 
     */
    public ParameterType createParameterType() {
        return new ParameterType();
    }

    /**
     * Create an instance of {@link MapType }
     * 
     */
    public MapType createMapType() {
        return new MapType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MapType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://common.pescado.services", name = "Map")
    public JAXBElement<MapType> createMap(MapType value) {
        return new JAXBElement<MapType>(_Map_QNAME, MapType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://common.pescado.services", name = "Parameters")
    public JAXBElement<ParameterType> createParameters(ParameterType value) {
        return new JAXBElement<ParameterType>(_Parameters_QNAME, ParameterType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ExceptionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://common.pescado.services", name = "ExceptionResponse")
    public JAXBElement<ExceptionType> createExceptionResponse(ExceptionType value) {
        return new JAXBElement<ExceptionType>(_ExceptionResponse_QNAME, ExceptionType.class, null, value);
    }

}
