
package services.pescado.knowledgebaseaccessservice;

import javax.activation.DataHandler;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlMimeType;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the services.pescado.knowledgebaseaccessservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _QueryOntologyResponse_QNAME = new QName("http://pescado.services/KnowledgeBaseAccessService/", "queryOntologyResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: services.pescado.knowledgebaseaccessservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ApplyRules }
     * 
     */
    public ApplyRules createApplyRules() {
        return new ApplyRules();
    }

    /**
     * Create an instance of {@link GetOntologyResponse }
     * 
     */
    public GetOntologyResponse createGetOntologyResponse() {
        return new GetOntologyResponse();
    }

    /**
     * Create an instance of {@link RemoveABoxStatement }
     * 
     */
    public RemoveABoxStatement createRemoveABoxStatement() {
        return new RemoveABoxStatement();
    }

    /**
     * Create an instance of {@link GetTBoxVocabulary }
     * 
     */
    public GetTBoxVocabulary createGetTBoxVocabulary() {
        return new GetTBoxVocabulary();
    }

    /**
     * Create an instance of {@link GetABoxVocabulary }
     * 
     */
    public GetABoxVocabulary createGetABoxVocabulary() {
        return new GetABoxVocabulary();
    }

    /**
     * Create an instance of {@link AddABoxStatement }
     * 
     */
    public AddABoxStatement createAddABoxStatement() {
        return new AddABoxStatement();
    }

    /**
     * Create an instance of {@link DumpDebugInfoResponse }
     * 
     */
    public DumpDebugInfoResponse createDumpDebugInfoResponse() {
        return new DumpDebugInfoResponse();
    }

    /**
     * Create an instance of {@link GetOntology }
     * 
     */
    public GetOntology createGetOntology() {
        return new GetOntology();
    }

    /**
     * Create an instance of {@link GetABoxVocabularyResponse }
     * 
     */
    public GetABoxVocabularyResponse createGetABoxVocabularyResponse() {
        return new GetABoxVocabularyResponse();
    }

    /**
     * Create an instance of {@link AddABoxStatements }
     * 
     */
    public AddABoxStatements createAddABoxStatements() {
        return new AddABoxStatements();
    }

    /**
     * Create an instance of {@link StatementType }
     * 
     */
    public StatementType createStatementType() {
        return new StatementType();
    }

    /**
     * Create an instance of {@link GetTBoxVocabularyResponse }
     * 
     */
    public GetTBoxVocabularyResponse createGetTBoxVocabularyResponse() {
        return new GetTBoxVocabularyResponse();
    }

    /**
     * Create an instance of {@link ResetOntology }
     * 
     */
    public ResetOntology createResetOntology() {
        return new ResetOntology();
    }

    /**
     * Create an instance of {@link DeleteOntology }
     * 
     */
    public DeleteOntology createDeleteOntology() {
        return new DeleteOntology();
    }

    /**
     * Create an instance of {@link GetRestrictionsFor }
     * 
     */
    public GetRestrictionsFor createGetRestrictionsFor() {
        return new GetRestrictionsFor();
    }

    /**
     * Create an instance of {@link RemoveABoxStatementResponse }
     * 
     */
    public RemoveABoxStatementResponse createRemoveABoxStatementResponse() {
        return new RemoveABoxStatementResponse();
    }

    /**
     * Create an instance of {@link GetCapabilitiesResponse }
     * 
     */
    public GetCapabilitiesResponse createGetCapabilitiesResponse() {
        return new GetCapabilitiesResponse();
    }

    /**
     * Create an instance of {@link GetRestrictionsForResponse }
     * 
     */
    public GetRestrictionsForResponse createGetRestrictionsForResponse() {
        return new GetRestrictionsForResponse();
    }

    /**
     * Create an instance of {@link QueryOntology }
     * 
     */
    public QueryOntology createQueryOntology() {
        return new QueryOntology();
    }

    /**
     * Create an instance of {@link GetCapabilities }
     * 
     */
    public GetCapabilities createGetCapabilities() {
        return new GetCapabilities();
    }

    /**
     * Create an instance of {@link GetListConcepts }
     * 
     */
    public GetListConcepts createGetListConcepts() {
        return new GetListConcepts();
    }

    /**
     * Create an instance of {@link DumpDebugInfo }
     * 
     */
    public DumpDebugInfo createDumpDebugInfo() {
        return new DumpDebugInfo();
    }

    /**
     * Create an instance of {@link ResetOntologyResponse }
     * 
     */
    public ResetOntologyResponse createResetOntologyResponse() {
        return new ResetOntologyResponse();
    }

    /**
     * Create an instance of {@link SetOntology }
     * 
     */
    public SetOntology createSetOntology() {
        return new SetOntology();
    }

    /**
     * Create an instance of {@link GetListConceptsResponse }
     * 
     */
    public GetListConceptsResponse createGetListConceptsResponse() {
        return new GetListConceptsResponse();
    }

    /**
     * Create an instance of {@link DeleteOntologyResponse }
     * 
     */
    public DeleteOntologyResponse createDeleteOntologyResponse() {
        return new DeleteOntologyResponse();
    }

    /**
     * Create an instance of {@link ApplyRulesResponse }
     * 
     */
    public ApplyRulesResponse createApplyRulesResponse() {
        return new ApplyRulesResponse();
    }

    /**
     * Create an instance of {@link SetOntologyResponse }
     * 
     */
    public SetOntologyResponse createSetOntologyResponse() {
        return new SetOntologyResponse();
    }

    /**
     * Create an instance of {@link AddABoxStatementResponse }
     * 
     */
    public AddABoxStatementResponse createAddABoxStatementResponse() {
        return new AddABoxStatementResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataHandler }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://pescado.services/KnowledgeBaseAccessService/", name = "queryOntologyResponse")
    @XmlMimeType("*/*")
    public JAXBElement<DataHandler> createQueryOntologyResponse(DataHandler value) {
        return new JAXBElement<DataHandler>(_QueryOntologyResponse_QNAME, DataHandler.class, null, value);
    }

}
