package services.pescado.fusionservice.impl.database;

public class Options {
	public static final int AVE_INDEX_MOFRI =0;
	 public static final int AVE_INDEX_SAT =1;
	 public static final int AVE_INDEX_SUN =2;
	 public static final int AVE_INDEX_SUMMER_MOFRI =3;
	 public static final int AVE_INDEX_SUMMER_SAT =4;
	 public static final int AVE_INDEX_SUMMER_SUN =5;
	 public static final int AVE_INDEX_All =6;
	 
	 public static final String[] AVE_SEASONS = {"mon_fri",    "sat",   "sun",    "summer_mon_fri",    "summer_sat",   "summer_sun","all"}; 
	    
	    
	public static final int VAR_PM25 =0;
	public static final int VAR_PM10 =1;
	public static final int VAR_NO2 =2;
	public static final int VAR_SO2 =3;
	public static final int VAR_O3 = 4;
	public static final int VAR_CO = 5;
	public static final int VAR_TEMP = 6;
	public static final int VAR_RAIN = 7;
	public static final int VAR_SKYCOND = 8;
	public static final int VAR_WINDSPEED = 9;
	public static final int VAR_WINDDIR = 10;
	public static final int VAR_UV = 11;

	public static final int[] ALL_TYPE_INTS = {0,1,2,3,4,5,6,7,8,9,10,11};
	public static final String[] VAR_NAMES = {"PM2.5",    "PM10",   "NO2",    "SO2",    "O3",   "CO",  "temperature",  "rain",  "skyCondition","windSpeed","windDirection", "UVindex"}; 
	public static final String[] VAR_UNITS = {"[g/m3]","[g/m3]","[g/m3]","[g/m3]","[g/m3]","[g/m3]","[C]",      "[mm/h]",    "[1-8]",      "[m/s]",    "[degrees]",   "[1-8]"}; 
	    
	    public static final int TYPE_VALUES=0;
	    public static final int TYPE_STD=1;
	    public static final int TYPE_WEIGHT=2;
	    
	    
	    public static final int METHOD_FUSION =0;
	    public static final int METHOD_IWD =1;
	    public static final int METHOD_CLOSEST =2;
	    public static final int METHOD_AVERAGES =3;
	    
	    public final static String[] METHOD_CHOICES =  {"METHOD_FUSION","METHOD_IWD","METHOD_CLOSEST","METHOD_AVERAGES"};
	    
	    
	    public static boolean assumesZeroVar = false;
	    public static boolean profileCorrect = true;
	    public static double profCorrStr = 1.0;
	    public static double distCompFactor = 1.0;
	    public static int method = 0;
	    public static int profRadius = 250;
	    
	    
	    

	    
	    public Options() {
	        
	    }
	    
	   
	    public static int getTypeInt(String type) {
	      
	        for (int i=0;i<Options.VAR_NAMES.length;i++) {
	            if (type.equals(Options.VAR_NAMES[i])) return i;
	        }
	        return 0;
	        
	    }
}
