package services.pescado.fusionservice.impl.fuser;

public class FusionResult {

	double value;
	String strValue = "N/A";
	double STD;
	String type;
	double duration;
	Datetime dt;
	double lat;
	double lon;
	String opDataType;

	public FusionResult(double value, double STD, String type, double duration,
			Datetime dt, double lat, double lon, String opDataType) {
		this.value = value;
		this.STD = STD;
		this.type = type;
		this.duration = duration;
		this.dt = dt;
		this.lat = lat;
		this.lon = lon;
		this.opDataType = opDataType;
	}

	public String getOpDataType() {
		return this.opDataType;
	}

	public double getValue() {
		return this.value;
	}

	public String getValueString() {
		return Double.toString(this.value);
	}

	public double getSTD() {
		return this.STD;
	}

	public String getType() {
		return this.type;
	}

	public double getDuration() {
		return this.duration;
	}

	public Datetime getDt() {
		return this.dt;
	}

	public double getLat() {
		return this.lat;
	}

	public double getLon() {
		return this.lon;
	}

}// class END
